Name:           arch-install-scripts
Version:        15
Release:        2.1%{?dist}
Summary:        Scripts to bootstrap Arch Linux distribution
License:        GPLv2
URL:            https://projects.archlinux.org/arch-install-scripts.git
Source0:        https://projects.archlinux.org/arch-install-scripts.git/snapshot/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  m4
Requires:       archlinux-keyring
Requires:       pacman

%description
A small suite of scripts aimed at automating some menial tasks when
installing Arch Linux, most notably including actually performing the
installation.

To install and launch Arch in a container:
  pacman-key --init
  pacman-key --populate archlinux
  mkdir -p /var/lib/container/arch
  pacstrap -G -M -i -c -d /var/lib/container/arch base
  systemd-nspawn -bD /var/lib/container/arch

%prep
%setup -q

%build
make %{?_smp_mflags} PREFIX=%{_prefix}

%install
%make_install PREFIX=%{_prefix}

%check
make check

%files
%license COPYING
%{_bindir}/arch-chroot
%{_bindir}/genfstab
%{_bindir}/pacstrap
%dir %{_datadir}/zsh/site-functions
%{_datadir}/zsh/site-functions/_archinstallscripts

%changelog
* Mon Nov 30 2015 Neal Gompa <ngompa13{%}gmail{*}com> - 15-2.1
- Replace %%make_build as it isn't supported in EL7

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Feb 16 2015 Christopher Meng <rpm@cicku.me> - 15-1
- Update to v15

* Tue Jan 06 2015 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 14-1
- Update to v14. (#1175134).

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 13-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Feb 06 2014 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 13-2
- Update installation instructions.

* Thu Feb 06 2014 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 13-1
- Update to v13. (#1062168).

* Thu Aug 22 2013 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 11-2
- Remove "+" from license.
- Replace path with macro.
- Package accepted (#998125).

* Fri Aug 16 2013 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 11-1
- Initial packaging.
